API ReferenceVideos
Get a video download link
Retrieves a prepared download link for a private video owned by the authenticated user or an approved public media video.
Authorization
BearerAuth AuthorizationBearer <token>
Developer API key. Send as Authorization: Bearer <api_key>.
In: header
Path Parameters
videoID*string
Video ID or public media ID
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/videos/string/download"{ "result": { "percentComplete": 100, "status": "ready", "url": "string" }, "status": "OK"}{ "err": "string", "message": "string", "result": null, "status": "NOK"}{ "err": "string", "message": "string", "result": null, "status": "NOK"}{ "err": "string", "message": "string", "result": null, "status": "NOK"}{ "err": "string", "message": "string", "result": null, "status": "NOK"}Get a video by ID GET
Retrieves sanitized video metadata by video ID.
Get videos GET
Retrieves sanitized videos owned by the authenticated user using cursor pagination. Omit cursor or send an empty string for the first page. When hasMore is true, send nextCursor from the response as cursor for the next page. Keep pageSize and filters unchanged between pages. Restart with an empty cursor when changing them.